local M = {}

local switch1 = true
local electricsR = "RWindow"
local electricsL = "LWindow"
local couplerID = "softtopCoupler"

local function init(jbeamData)
    electricsR = jbeamData.electricsR or electricsR
    electricsL = jbeamData.electricsL or electricsL
    couplerID = jbeamData.couplerID or couplerID
end

local function reset()
    switch1 = true
    end

local function update()
    if switch1 and controller.getControllerSafe(couplerID).getGroupState() == "detached" then
        electrics.values[electricsR] = -1
        electrics.values[electricsL] = -1
        switch1 = false
    elseif not switch1 and controller.getControllerSafe(couplerID).getGroupState() == "attached" then
        electrics.values[electricsR] = 1
        electrics.values[electricsL] = 1
        switch1 = true
    end
end

M.init = init
M.reset = reset
M.update = update

return M